Bug 327681 - Firefox should pass URL to Rhythmbox when playing .m3u not /tmp file location
Firefox should pass URL to Rhythmbox when playing .m3u not /tmp file location
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 09:58 EDT by Luis Villa
Modified: 2008-02-22 08:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 07:11:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 137339 None None None Never
Mozilla Foundation 225882 None None None Never

  None (edit)
Description Luis Villa 2007-10-11 09:58:49 EDT
In f8t3, clicking on an m3u (e.g.,
http://audio-ogg.ibiblio.org:8000/wcpe.ogg.m3u ) appears to finally have the
right file association- rhythmbox is offered as the default choice, and when you
tell firefox to open, rhythmbox opens up. So far so good.

After that, it is all downhill. It does not open playing the m3u I've just
clicked on, and it appears to actually have deleted all the default radio
stations as well. I assume these two issues are somehow related, so I haven't
opened a separate bug, but they may be two separate problems.

Marking as high because of the data destruction- deleting all the default radio
stations.
Comment 1 Bastien Nocera 2007-10-11 11:38:36 EDT
I don't see how the data loss could have occurred. Could you file another bug
with exact reproducer steps, and the command launching rhythmbox (/proc/<pid of
rhythmbox>/cmdline)?

As for the problem you're seeing, it's the same problem as with the calendar for
evolution. Your browser downloads it to the disk, and rhythmbox treats local
playlists differently that it does remote ones. Local playlists are considered
to be additional playlists (so it should create an empty playlist with files in
them), remote playlists will go to the iradio.

Which browser are you using, still ephy? Could you double-check the command-line
as above (I'm certain it would have pushed a local file, instead of the remote URL)?
Comment 2 Luis Villa 2007-10-14 15:00:13 EDT
Weird. I can't duplicate the radio-list clearing effect now.

You're right, it is opening a file out of /tmp/ instead of the URL. Irrrritating.
Comment 3 Luis Villa 2007-10-15 07:40:31 EDT
ffox, not ephy, sorry, forgot to clear that up.
Comment 4 Bastien Nocera 2007-10-15 07:58:33 EDT
Moving to firefox then.
Comment 5 Matěj Cepl 2008-02-21 17:34:58 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 6 Matěj Cepl 2008-02-21 17:36:20 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 7 Luis Villa 2008-02-21 18:43:19 EST
Still happens in F9 A1 w/ ffxb3.
Comment 8 Matěj Cepl 2008-02-22 07:11:15 EST
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=225882) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.
Comment 9 Bastien Nocera 2008-02-22 07:32:38 EST
https://bugzilla.mozilla.org/show_bug.cgi?id=137339 is the Unix/Linux version of
the bug.

Note You need to log in before you can comment on or make changes to this bug.